# SpaceAPI endpoints

The API is currently available under https://spaceapi.it-syndikat.org/api/. The following endpoints
exist:
- `GET status.php`: the current space status in [SpaceAPI](https://spaceapi.io/) format, registered
  in the [SpaceAPI directory](https://github.com/SpaceApi/directory)
- `GET status-s.php`: returns `true` if space is open, `false` if closed. Called by discourse theme
  and serendipity.
- `GET update.php`: updates the current open status, called by the wood box with two fat buttons
  ("2fb").
- `POST ping.php`: requests a "spaceping". Called by the
  [matrix bot](https://git.it-syndikat.org/IT-Syndikat/its-matrix-bot).
- `GET ping-get.php`: returns `true` if a ping request is pending, then resets the request. Called
  by 2fb.

All endpoints except for `status[-s].php` require an API key to be passed via the `apikey=` GET
parameter. These API keys are defined in `config.inc.php`, see `config.inc.php.example` for an
example.
